#!/bin/ksh

###################
# VERSION 1.0
###################

EXP_HOSTID=`hostid`
EXP_OS=`uname -m`
export TRL_HOSTNAME=`hostname`

case "$EXP_OS" in
	sun4*)
		export TRL_OS=sun4
		;;
	*)
		export TRL_OS=${EXP_OS}
		;;	
esac

case "$EXP_HOSTID" in
	0x*)
		export TRL_HOSTID=`echo $EXP_HOSTID|sed 's/0x//g'`
		;;
	*)
		export TRL_HOSTID=${EXP_HOSTID}
		;;
esac

export TRL_NODEID="${TRL_HOSTID} ${TRL_HOSTNAME} ${TRL_OS}"

#Print node information
echo "-------------------------"
echo "Node Information "
echo "-------------------------"
echo "HostID: ${TRL_HOSTID}"
echo "Hostname: ${TRL_HOSTNAME}"
echo "OS: ${TRL_OS}"
echo "NodeID: ${TRL_NODEID}"
echo "-------------------------"

